MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# tag Struct Reference

The meta information about a song file. More...

`#include <tag.h>`

## Data Fields
int | time
| The duration of the song (in seconds).
struct tag_item ** | items
| an array of tag items
unsigned | num_items
| the total number of tag items in the items array

## Detailed Description

The meta information about a song file.

It is a MPD specific subset of tags (e.g. from ID3, vorbis comments, ...).

Definition at line 82 of file tag.h.

## Field Documentation

struct tag_item** tag::items

an array of tag items

Definition at line 92 of file tag.h.

unsigned tag::num_items

the total number of tag items in the items array

Definition at line 95 of file tag.h.

int tag::time

The duration of the song (in seconds).

A value of zero means that the length is unknown. If the duration is really between zero and one second, you should round up to 1.

Definition at line 89 of file tag.h.

The documentation for this struct was generated from the following file:

- src/tag.h